> ## Documentation Index
> Fetch the complete documentation index at: https://docs.defiorbit.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Aerodrome V3 Positions

> All active Slipstream CL positions for a wallet on Base (chain_id=8453). Use status=inactive for closed positions.

**Credits:** 2 per position returned on this page.

These queries have their own credit cost.

| Query | Credits per returned position |
| --- | --- |
| `status=inactive` | 1 |
| `full=true` | 15 |



## OpenAPI

````yaml /openapi.yaml get /v1/positions/aerodromev3
openapi: 3.1.0
info:
  title: DeFi Orbit API
  version: 1.0.0
  description: Public REST API for DeFi Orbit positions, lending, portfolio, and usage.
servers:
  - url: https://api.defiorbit.xyz
security:
  - bearerAuth: []
tags:
  - name: Portfolio
  - name: Snapshots
  - name: Uniswap V3
  - name: Aerodrome V3
  - name: Orca
  - name: Aave V3
  - name: Morpho
  - name: Kamino
  - name: Usage
paths:
  /v1/positions/aerodromev3:
    get:
      tags:
        - Aerodrome V3
      summary: List Aerodrome V3 Positions
      description: >-
        All active Slipstream CL positions for a wallet on Base (chain_id=8453).
        Use status=inactive for closed positions.


        **Credits:** 2 per position returned on this page.


        These queries have their own credit cost.


        | Query | Credits per returned position |

        | --- | --- |

        | `status=inactive` | 1 |

        | `full=true` | 15 |
      operationId: get_v1_positions_aerodromev3
      parameters:
        - name: wallet
          in: query
          required: true
          schema:
            type: string
            description: Wallet address.
            example: '0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495'
            x-default: '0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495'
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - inactive
            description: >-
              Omit for active positions. Set to `inactive` for closed positions.
              Default: active.
        - name: full
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Boolean. Include `full=true` for the detailed payload. Omit
              otherwise. On list endpoints this returns active positions only.
        - name: page
          in: query
          required: false
          schema:
            type: integer
            description: 'Page. Default: 1.'
            default: 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: 'Maximum 25. Default: 10.'
            default: 10
            maximum: 25
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/RequestId'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            token_id:
                              type: string
                            chain_id:
                              type: integer
                            manager_address:
                              type: string
                            wallet:
                              type: string
                            is_active:
                              type: boolean
                            position_state:
                              type: object
                              properties:
                                id:
                                  type: string
                                owner:
                                  type: string
                                liquidity:
                                  type: string
                                tickLower:
                                  type: string
                                tickUpper:
                                  type: string
                                token0:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    symbol:
                                      type: string
                                    decimals:
                                      type: integer
                                    name:
                                      type: string
                                  required:
                                    - id
                                    - symbol
                                    - decimals
                                    - name
                                token1:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    symbol:
                                      type: string
                                    decimals:
                                      type: integer
                                    name:
                                      type: string
                                  required:
                                    - id
                                    - symbol
                                    - decimals
                                    - name
                                pool:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    tick:
                                      type: string
                                    feeTier:
                                      type: string
                                  required:
                                    - id
                                    - tick
                                    - feeTier
                                chain:
                                  type: object
                                  properties:
                                    id:
                                      type: number
                                  required:
                                    - id
                                protocol:
                                  type: object
                                  properties:
                                    code:
                                      type: string
                                  required:
                                    - code
                              required:
                                - id
                                - owner
                                - liquidity
                                - tickLower
                                - tickUpper
                                - token0
                                - token1
                                - pool
                                - chain
                                - protocol
                          required:
                            - token_id
                            - chain_id
                            - manager_address
                            - wallet
                            - is_active
                            - position_state
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                      counts:
                        type: object
                        properties:
                          totalActive:
                            type: number
                          totalInactive:
                            type: number
                          total:
                            type: number
                          filtered:
                            type: number
                          errors:
                            type: number
                          spams:
                            type: array
                            items:
                              type: object
                        required:
                          - totalActive
                          - totalInactive
                          - total
                          - filtered
                          - errors
                          - spams
                    required:
                      - data
                      - pagination
                      - counts
              example:
                data:
                  - token_id: '1'
                    chain_id: 8453
                    manager_address: '0x827922686190790b37229fd06084350e74485b72'
                    wallet: '0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495'
                    is_active: true
                    position_state:
                      id: '1'
                      owner: '0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495'
                      liquidity: '123456789'
                      tickLower: '-887220'
                      tickUpper: '887220'
                      token0:
                        id: 0xweth
                        symbol: WETH
                        decimals: 18
                        name: Wrapped Ether
                      token1:
                        id: 0xusdc
                        symbol: USDC
                        decimals: 6
                        name: USD Coin
                      pool:
                        id: 0xpool
                        tick: '0'
                        feeTier: '100'
                      chain:
                        id: 8453
                      protocol:
                        code: aerodrome
                pagination:
                  page: 1
                  limit: 10
                  total: 3
                  next_page: null
                  prev_page: null
                counts:
                  totalActive: 3
                  totalInactive: 2
                  total: 5
                  filtered: 3
                  errors: 0
                  spams: []
                request_id: req_...
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  schemas:
    RequestId:
      type: object
      required:
        - request_id
      properties:
        request_id:
          type: string
          description: Id to quote when you contact support.
    Pagination:
      type: object
      required:
        - page
        - limit
        - total
        - next_page
        - prev_page
      properties:
        page:
          type: integer
        limit:
          type: integer
        total:
          type: integer
          description: Matching rows, before this page is sliced.
        next_page:
          type: string
          nullable: true
          description: URL of the next page, or null on the last page.
        prev_page:
          type: string
          nullable: true
          description: URL of the previous page, or null on the first page.
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
            - request_id
          properties:
            code:
              type: string
            message:
              type: string
            request_id:
              type: string
  responses:
    BadRequest:
      description: Missing or invalid parameter.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: INVALID_PARAMETER
              message: page must be a positive integer.
              request_id: req_...
    Unauthorized:
      description: Missing, malformed, invalid, or revoked API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: INVALID_API_KEY
              message: Missing API key.
              request_id: req_...
    PaymentRequired:
      description: The organization does not have enough credits.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: INSUFFICIENT_CREDITS
              message: Insufficient API credits.
              request_id: req_...
    Forbidden:
      description: The organization is suspended, or the endpoint or feature is disabled.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: ACCOUNT_SUSPENDED
              message: This organization is suspended.
              request_id: req_...
    TooManyRequests:
      description: The organization exceeded its requests-per-second limit.
      headers:
        Retry-After:
          description: Seconds to wait before retrying.
          schema:
            type: integer
        X-RateLimit-Limit:
          description: Requests per second for the organization.
          schema:
            type: integer
        X-RateLimit-Remaining:
          description: Requests left in the current window.
          schema:
            type: integer
        X-RateLimit-Reset:
          description: Unix time when the window resets.
          schema:
            type: integer
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: RATE_LIMIT_EXCEEDED
              message: Rate limit exceeded. Please try again later.
              request_id: req_...
    InternalError:
      description: Unexpected server error, or pricing is not configured.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: INTERNAL_ERROR
              message: An unexpected error occurred.
              request_id: req_...
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Paste your API key from the
        [dashboard](https://platform.defiorbit.xyz/dashboard/keys). The key
        starts with `do_sk_`.
      x-default: YOUR_API_KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.